URL structure
{objectId} is the ID of a file object/Secure Object and {versionId} is the ID of one of its versions.
Supported methods and overview
PUT- sets the active version (specified byversionId) of a file object/Secure Object (specified byobjectId).DELETE- deletes a version (specified byversionId) of a file object (specified byobjectId), permanently.
Both of these methods take no other parameters.
Detailed description
This API endpoint serves a number of purposes:- Sets the active version (specified by
versionId) of a file object (specified byobjectId). - Deletes a version (specified by
versionId) of a file object (specified byobjectId), permanently.
Note: A successful request using this method also deletes this version’s content (via the Covata Platform’s Content Service) automatically.
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide) and conditions:- Originator - when this user owns the file object whose ID is specified by
{itemId}in the request’s URL. - Originator, Collaborator and Ad hoc - when this user is a collaborator with the Rename permission on the file object whose ID is specified by
{itemId}in the URL. (The Rename permission restricts access to collaborators who have been applied either the Modify or Manage permission set on this file object.)
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
